[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / OptionsCellComponent

# Class: OptionsCellComponent

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L31)

## Implements

- `AfterContentInit`
- `OnDestroy`
- `OnChanges`

## Constructors

### new OptionsCellComponent()

> **new OptionsCellComponent**(`renderer`): [`OptionsCellComponent`](OptionsCellComponent.md)

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:49](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L49)

#### Parameters

##### renderer

`Renderer2`

#### Returns

[`OptionsCellComponent`](OptionsCellComponent.md)

## Properties

### defaultViewValue

> **defaultViewValue**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L37)

***

### emptyViewValue

> **emptyViewValue**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:41](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L41)

***

### options

> **options**: `QueryList`\<`MatOption`\<`any`\>\>

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:55](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L55)

***

### value

> **value**: `any`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:33](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L33)

***

### viewValue

> **viewValue**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:43](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L43)

## Methods

### getViewValue()

> **getViewValue**(): `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:92](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L92)

#### Returns

`string`

***

### ngAfterContentInit()

> **ngAfterContentInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:57](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L57)

A callback method that is invoked immediately after
Angular has completed initialization of all of the directive's
content.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`AfterContentInit.ngAfterContentInit`

***

### ngOnChanges()

> **ngOnChanges**(`changes`): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:84](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L84)

A callback method that is invoked immediately after the
default change detector has checked data-bound properties
if at least one has changed, and before the view and content
children are checked.

#### Parameters

##### changes

`SimpleChanges`

The changed properties.

#### Returns

`void`

#### Implementation of

`OnChanges.ngOnChanges`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:99](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L99)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### setViewValue()

> **setViewValue**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:67](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts#L67)

#### Returns

`void`
